Subject: EGCS 1.00: can't run hello.c on NT
From: [email-masked] (Arlindo da Silva)

24 Dec 1997 07:45:46 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Mumit Khan)
Cc: [email-masked]

Mumit,

 I installed egcs over a fresh b18 cdk distribution (Windows NT Version 4.0,
64 megs RAM) , did the collect-ld.exe trick, and installed Sergey's coolview,
making sure to keep your libcygwin.a, not his. I can compile just about
anything, but when I run:

bash-2.01$ gcc -o hello hello.c                                                 
bash-2.01$ ./hello                                                              
bash: ./hello: Not owner  

However, "hello.exe" is world read-write-executable as reported by "ls -l".
No such problem with the usual b18+coolview combo. Any clue?

   Thanks,

       Arlindo.

PS: Below is how I set my environment:

-------------------------------------------------------------------------

@echo off

:
: Sets path for GNU Win32 B18 system (with EGCS)
:

:
: Path for compiler and X windows
:
  Set            PATH=c:\egcs\b18\H-i386-cygwin32\bin;%path%
  Set            PATH=c:\egcs\b18\tcl\bin;%path%
  Set            PATH=c:\bin\;%path%
  Set            PATH=c:\usr\local\bin\;%path%
  Set            PATH=c:\usr\X11R6.3\bin;%path%   
  Set            PATH=c:\winnt\system32;c:\winnt;%path%

:
: GNU Win32 environment
:

Set    GCC_EXEC_PREFIX=c:\egcs\b18\H-i386-cygwin32\lib\gcc-lib\
Set        TCL_LIBRARY=//c/egcs/b18/tcl/lib/tcl7.6
Set      GDBTK_LIBRARY=//c/egcs/b18/share/gdbtcl
Set       LIBRARY_PATH=//C/egcs/b18/H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/egcs-2.90.21://C/egcs/b18/H-i386-cygwin32/lib://C/egcs/b18/H-i386-cygwin32/i386-cygwin32/lib
Set     C_INCLUDE_PATH=//C/egcs/b18/H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/egcs-2.90.21/include://C/egcs/b18/H-i386-cygwin32/i386-cygwin32/include://C/egcs/b18/include
Set CPLUS_INCLUDE_PATH=%C_INCLUDE_PATH%://C/egcs/b18/include/g++
Set  OBJC_INCLUDE_PATH=%C_INCLUDE_PATH%

:
: Other environment
:
  set HOME=c:\
  set DISPLAY=localhost:0.0

-- 
Arlindo da Silva    
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".